Frage von sonnig140, 27

WordPress Update?

Hallo, Ich benutze WordPress für meine Website. Ich habe rägelmäßig kontrolliert ob Updates vorhanden sind. Nur zeigt mir WordPress nicht an das die Version die ich habe veraltet ist. Ich habe jetzt die 4.2.4 installiert nun hat mich ein Schlag getroffen als ich auf die offizielle WordPress Website gegangen bin und dort schon die Version 4.3.1 angeboten wird. Muss ich es also nicht Updaten weil WordPress mir das nicht anzeigt oder muss ich das Updaten, wenn ja wie normalerweise muss man da ja nur auf einen Knopf drücken und schon ist alles aktuell, hier habe ich keinen Knopf und muss das irgendwie Manuel machen, nur wie?

Ich würde mich riesig über Hilfe freuen. Lg Julian

Antwort
von Eutervogel, 27

Lad dir das runter und schieb alles BIS AUF DEN WP-CONTENT ORDNER per FTP rüber. Mach aber vorher ne komplette Sicherung via FTP.

Kommentar von sonnig140 ,

Okay, danke für die Antwort.

Kommentar von Eutervogel ,

Aber WP Updates können auch unschöne Folgen haben, aber probier das mal so. Wenn es Probleme geben sollte, einfach wieder melden. Und ganz wichtig erst sichern :)

Kommentar von Eutervogel ,

am besten auch die DB sichern. Vorsicht ist die Mutter...

Kommentar von sonnig140 ,

Was meinst du mit Folgen?

Kommentar von Eutervogel ,

Kann halt sein, das dein Theme dann nicht mehr so richtig will, oder ein Plugin Mucken macht. Und halt die Seite nicht mehr richtig läuft. Aber das KANN passieren muss aber nicht und da du ja ne komplette Sicherung hast, kannst du das Risiko ja eingehen.

Kommentar von sonnig140 ,

Naja, ich werde mal schauen. Vielleicht Update ich WordPress erstmal nicht.

Kommentar von Eutervogel ,

Doch mach ruhig. Das klingt alles aufwendiger und komplizierter als es ist. Ich mein ich kann dir das auch als Dienstleistung anbieten, wenn du das nicht selber machen willst.

Die Updates sind aus Sicherheitstechnischen Gründen schon recht wichtig.

Kommentar von sonnig140 ,

Als Dienstleistung ist schon nicht schlecht, ich werde Morgen erstmal mein Glück versuchen. Mir ist auch aufgefallen das jeder auf das /wp-admin/upgrade.php Verzeichnis zugreifen kann und bestimmt auch schaden anrichten kann. ist das normal?

Kommentar von Eutervogel ,

Rechte auf 777? Nein das ist nicht normal. Das hört sich an, als ob man da mal bei schauen sollte...

Kommentar von sonnig140 ,

Mist also große Sicherheitslücke

Kommentar von Eutervogel ,

Also das ist von hause aus schon normal bei WP, aber gut ist es trotzdem nicht. Es gibt da ganz gute Sicherheitsplugins, die das gröbste abdecken...

Kommentar von sonnig140 ,

Wie kann ich diese beheben?

Kommentar von Eutervogel ,

zum Beispiel per htaccess Benutzer und Passwörter für sensible Bereiche anlegen.

Kommentar von sonnig140 ,

ich hatte mal um das abzugeben sichern eine htaccess Datei hinein getan

Kommentar von Eutervogel ,

das Plugin hier sichert auch schonmal en guten Teil ab

https://de.wordpress.org/plugins/better-wp-security/

Kommentar von Eutervogel ,

Aber ich kann jetzt hier keine wirklich ehrliche WP-Security-Schulung machen ohne die Seite zu kennen, mit allen Plugins dem Theme der htaccess usw.

Kommentar von sonnig140 ,

Das komische ist ja das ich ein Sicherheits Plugin habe was genau das verhindern soll schau dir mal den Inhalt an:

Kommentar von Eutervogel ,

???

wenns nicht geht oder irgendwas zerhackt wird nimm

http://pastebin.com/

Kommentar von sonnig140 ,

Schade zu lang

Kommentar von Eutervogel ,

s.o. :)

Kommentar von sonnig140 ,

# BEGIN BPS WPADMIN DENY ACCESS TO FILES

Require all denied #Require ip 127.0.0.1

Order Allow,Deny Deny from all #Allow from 127.0.0.1

Kommentar von sonnig140 ,

Mist ging wieder nicht

Kommentar von Eutervogel ,

dann nimm bitte pastebin Link is ja da.

Kommentar von sonnig140 ,
Kommentar von Eutervogel ,

Ja da ist ja quasi nur die install.php mit geschützt. Ist das die ganze htaccess? kein Mod_rewrite?

Kommentar von Eutervogel ,

Ich bin jetzt mal weg. Wenn was is schreib mir ne PN, ok?

Kommentar von sonnig140 ,

Ja das ist ein schlechtes Plugin. Wie kann ich das verbessern, mit Otions -Indexes?

Keine passende Antwort gefunden?

Fragen Sie die Community